Bug 176621 - lang/sbcl: Fails to build / update with error: time.h:119:17: error: unknown type name 'sbintime_t'
Summary: lang/sbcl: Fails to build / update with error: time.h:119:17: error: unknown ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-03 18:20 UTC by O. Hartmann
Modified: 2013-03-04 19:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2013-03-03 18:20:01 UTC
In file included from /usr/include/sys/stat.h:99:0,
                 from coreparse.c:35:
/usr/include/sys/time.h:119:17: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h:126:1: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h: In function 'bttosbt':
/usr/include/sys/time.h:129:12: error: 'sbintime_t' undeclared (first use in this function)
/usr/include/sys/time.h:129:12: note: each undeclared identifier is reported only once for each function it appears in
/usr/include/sys/time.h:129:23: error: expected ')' before 'bt'
/usr/include/sys/time.h: At top level:
/usr/include/sys/time.h:133:9: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h:191:9: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h:201:1: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h: In function 'tstosbt':
/usr/include/sys/time.h:204:12: error: 'sbintime_t' undeclared (first use in this function)
/usr/include/sys/time.h:204:23: error: expected ')' before 'ts'
/usr/include/sys/time.h: At top level:
/usr/include/sys/time.h:209:9: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h:219:1: error: unknown type name 'sbintime_t'
/usr/include/sys/time.h: In function 'tvtosbt':
/usr/include/sys/time.h:222:12: error: 'sbintime_t' undeclared (first use in this function)
/usr/include/sys/time.h:222:23: error: expected ')' before 'tv'
gmake: *** [coreparse.o] Error 1
gmake: Leaving directory `/usr/ports/lang/sbcl/work/sbcl-1.1.5/src/runtime'
        1.70 real         0.48 user         0.34 sys
*** [do-build] Error code 2

Stop in /usr/ports/lang/sbcl.
*** [build] Error code 1

Stop in /usr/ports/lang/sbcl.

===>>> make failed for lang/sbcl
===>>> Aborting update

===>>> Update for lang/sbcl failed
===>>> Aborting update

How-To-Repeat: Update or install port lang/sbcl on FBSD 10.0-CURRENT.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-03 18:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 b. f. 2013-03-03 19:16:12 UTC
On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:17:
> error: unknown type name 'sbintime_t'
>
> Responsible-Changed-From-To: freebsd-ports-bugs->bf
> Responsible-Changed-By: edwin
> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
> Responsible-Changed-Why:
> Over to maintainer (via the GNATS Auto Assign Tool)
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=176621
>

Either your system's headers are not as they should be, or this is
some fallout from:

http://svnweb.freebsd.org/changeset/base/247476

and can probably be fixed by adjusting the inclusions in the sbcl's
source code.  But let's wait for a day or two, until the calloutng
branch is fully merged, and then revisit this problem.  If you must
build sbcl in the meantime, you can patch the sources or add some
compiler flags to define sbintime_t as __int64_t.

b.
Comment 3 O. Hartmann 2013-03-03 19:24:55 UTC
Am 03/03/13 20:16, schrieb b.f.:
> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:17:
>> error: unknown type name 'sbintime_t'
>>
>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>> Responsible-Changed-By: edwin
>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>> Responsible-Changed-Why:
>> Over to maintainer (via the GNATS Auto Assign Tool)
>>
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=176621
>>
> 
> Either your system's headers are not as they should be, or this is
> some fallout from:
> 
> http://svnweb.freebsd.org/changeset/base/247476
> 
> and can probably be fixed by adjusting the inclusions in the sbcl's
> source code.  But let's wait for a day or two, until the calloutng
> branch is fully merged, and then revisit this problem.  If you must
> build sbcl in the meantime, you can patch the sources or add some
> compiler flags to define sbintime_t as __int64_t.
> 
> b.
> 



All right. I wait then.

Regards,
Oliver
Comment 4 Davide Italiano freebsd_committer 2013-03-03 19:34:52 UTC
On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
> Am 03/03/13 20:16, schrieb b.f.:
>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:17:
>>> error: unknown type name 'sbintime_t'
>>>
>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>> Responsible-Changed-By: edwin
>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>> Responsible-Changed-Why:
>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>
>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=176621
>>>
>>
>> Either your system's headers are not as they should be, or this is
>> some fallout from:
>>
>> http://svnweb.freebsd.org/changeset/base/247476
>>
>> and can probably be fixed by adjusting the inclusions in the sbcl's
>> source code.  But let's wait for a day or two, until the calloutng
>> branch is fully merged, and then revisit this problem.  If you must
>> build sbcl in the meantime, you can patch the sources or add some
>> compiler flags to define sbintime_t as __int64_t.
>>
>> b.
>>
>
>
> All right. I wait then.
>
> Regards,
> Oliver
>

Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
/usr/include/sys/time.h the same?
Can you please make a diff?


-- 
Davide

"There are no solved problems; there are only problems that are more
or less solved" -- Henri Poincare
Comment 5 Davide Italiano freebsd_committer 2013-03-03 19:36:26 UTC
On Sun, Mar 3, 2013 at 8:34 PM, Davide Italiano <davide@freebsd.org> wrote:
> On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>> Am 03/03/13 20:16, schrieb b.f.:
>>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:17:
>>>> error: unknown type name 'sbintime_t'
>>>>
>>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>> Responsible-Changed-By: edwin
>>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>> Responsible-Changed-Why:
>>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>
>>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=176621
>>>>
>>>
>>> Either your system's headers are not as they should be, or this is
>>> some fallout from:
>>>
>>> http://svnweb.freebsd.org/changeset/base/247476
>>>
>>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>> source code.  But let's wait for a day or two, until the calloutng
>>> branch is fully merged, and then revisit this problem.  If you must
>>> build sbcl in the meantime, you can patch the sources or add some
>>> compiler flags to define sbintime_t as __int64_t.
>>>
>>> b.
>>>
>>
>>
>> All right. I wait then.
>>
>> Regards,
>> Oliver
>>
>
> Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
> /usr/include/sys/time.h the same?
> Can you please make a diff?
>
>
> --
> Davide
>
> "There are no solved problems; there are only problems that are more
> or less solved" -- Henri Poincare

Please do the same check also for sys/types.h

-- 
Davide

"There are no solved problems; there are only problems that are more
or less solved" -- Henri Poincare
Comment 6 O. Hartmann 2013-03-03 19:52:40 UTC
Am 03/03/13 20:34, schrieb Davide Italiano:
> On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>> Am 03/03/13 20:16, schrieb b.f.:
>>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:17:
>>>> error: unknown type name 'sbintime_t'
>>>>
>>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>> Responsible-Changed-By: edwin
>>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>> Responsible-Changed-Why:
>>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>
>>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=176621
>>>>
>>>
>>> Either your system's headers are not as they should be, or this is
>>> some fallout from:
>>>
>>> http://svnweb.freebsd.org/changeset/base/247476
>>>
>>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>> source code.  But let's wait for a day or two, until the calloutng
>>> branch is fully merged, and then revisit this problem.  If you must
>>> build sbcl in the meantime, you can patch the sources or add some
>>> compiler flags to define sbintime_t as __int64_t.
>>>
>>> b.
>>>
>>
>>
>> All right. I wait then.
>>
>> Regards,
>> Oliver
>>
> 
> Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
> /usr/include/sys/time.h the same?
> Can you please make a diff?
> 
> 


Sources:
Repository Root: svn://svn.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 247729


Just made this moment a buildworld installworld kernel (not that order,
but I build a regular new world, kernel and installed them - they did
properly install). But I didn't reboot yet.

:/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
:/usr/ports #

:/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
:/usr/src #

It seems, there is no difference.

After I did "make installkernel installworld" I expect the right files
in place. I then, without reboot, did another "portmaster -da -xvision"
(avoiding non-building xvisionworkbench). But I got the same error again.

System is CLANG built.


Regards,
Oliver
Comment 7 b. f. 2013-03-03 20:08:17 UTC
On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
> The following reply was made to PR ports/176621; it has been noted by
> GNATS.
>
> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
> To: Davide Italiano <davide@freebsd.org>
> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>  bug-followup@freebsd.org, mav@freebsd.org
> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with error:
>  time.h:119:17: error: unknown type name 'sbintime_t'
> Date: Sun, 03 Mar 2013 20:52:40 +0100
>
>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>  ------enig2XIWOORIDIJCFFCBOLHPK
>  Content-Type: text/plain; charset=ISO-8859-1
>  Content-Transfer-Encoding: quoted-printable
>
>  Am 03/03/13 20:34, schrieb Davide Italiano:
>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.d=
>  e> wrote:
>  >> Am 03/03/13 20:16, schrieb b.f.:
>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>  >>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:=
>  17:
>  >>>> error: unknown type name 'sbintime_t'
>  >>>>
>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>  >>>> Responsible-Changed-By: edwin
>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>  >>>> Responsible-Changed-Why:
>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>  >>>>
>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>  >>>>
>  >>>
>  >>> Either your system's headers are not as they should be, or this is
>  >>> some fallout from:
>  >>>
>  >>> http://svnweb.freebsd.org/changeset/base/247476
>  >>>
>  >>> and can probably be fixed by adjusting the inclusions in the sbcl's
>  >>> source code.  But let's wait for a day or two, until the calloutng
>  >>> branch is fully merged, and then revisit this problem.  If you must
>  >>> build sbcl in the meantime, you can patch the sources or add some
>  >>> compiler flags to define sbintime_t as __int64_t.
>  >>>
>  >>> b.
>  >>>
>  >>
>  >>
>  >> All right. I wait then.
>  >>
>  >> Regards,
>  >> Oliver
>  >>
>  >=20
>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>  > /usr/include/sys/time.h the same?
>  > Can you please make a diff?
>  >=20
>  >=20
>
>  Sources:
>  Repository Root: svn://svn.freebsd.org/base
>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>  Revision: 247729
>
>
>  Just made this moment a buildworld installworld kernel (not that order,
>  but I build a regular new world, kernel and installed them - they did
>  properly install). But I didn't reboot yet.
>
>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
>  :/usr/ports #
>
>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
>  :/usr/src #
>
>  It seems, there is no difference.
>
>  After I did "make installkernel installworld" I expect the right files
>  in place. I then, without reboot, did another "portmaster -da -xvision"
>  (avoiding non-building xvisionworkbench). But I got the same error again.=
>
>
>  System is CLANG built.
>

You might show us the full output generated by the compiler
command-line used to compile coreparse.c during the port build, with
"-E -H" added to the flags.
Comment 8 Davide Italiano freebsd_committer 2013-03-03 20:10:53 UTC
On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>> The following reply was made to PR ports/176621; it has been noted by
>> GNATS.
>>
>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>> To: Davide Italiano <davide@freebsd.org>
>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>  bug-followup@freebsd.org, mav@freebsd.org
>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with error:
>>  time.h:119:17: error: unknown type name 'sbintime_t'
>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>
>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>  Content-Type: text/plain; charset=ISO-8859-1
>>  Content-Transfer-Encoding: quoted-printable
>>
>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.d=
>>  e> wrote:
>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:=
>>  17:
>>  >>>> error: unknown type name 'sbintime_t'
>>  >>>>
>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>  >>>> Responsible-Changed-By: edwin
>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>  >>>> Responsible-Changed-Why:
>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>  >>>>
>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>  >>>>
>>  >>>
>>  >>> Either your system's headers are not as they should be, or this is
>>  >>> some fallout from:
>>  >>>
>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>  >>>
>>  >>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>  >>> source code.  But let's wait for a day or two, until the calloutng
>>  >>> branch is fully merged, and then revisit this problem.  If you must
>>  >>> build sbcl in the meantime, you can patch the sources or add some
>>  >>> compiler flags to define sbintime_t as __int64_t.
>>  >>>
>>  >>> b.
>>  >>>
>>  >>
>>  >>
>>  >> All right. I wait then.
>>  >>
>>  >> Regards,
>>  >> Oliver
>>  >>
>>  >=20
>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>  > /usr/include/sys/time.h the same?
>>  > Can you please make a diff?
>>  >=20
>>  >=20
>>
>>  Sources:
>>  Repository Root: svn://svn.freebsd.org/base
>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>  Revision: 247729
>>
>>
>>  Just made this moment a buildworld installworld kernel (not that order,
>>  but I build a regular new world, kernel and installed them - they did
>>  properly install). But I didn't reboot yet.
>>
>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
>>  :/usr/ports #
>>
>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
>>  :/usr/src #
>>
>>  It seems, there is no difference.
>>
>>  After I did "make installkernel installworld" I expect the right files
>>  in place. I then, without reboot, did another "portmaster -da -xvision"
>>  (avoiding non-building xvisionworkbench). But I got the same error again.=
>>
>>
>>  System is CLANG built.
>>
>
> You might show us the full output generated by the compiler
> command-line used to compile coreparse.c during the port build, with
> "-E -H" added to the flags.

Please try the following patch:
http://people.freebsd.org/~davide/review/sbintime_ports.diff
Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
and report if the bug is still there.


Thanks,

-- 
Davide

"There are no solved problems; there are only problems that are more
or less solved" -- Henri Poincare
Comment 9 Davide Italiano freebsd_committer 2013-03-03 21:29:56 UTC
On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org> wrote:
> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>> The following reply was made to PR ports/176621; it has been noted by
>>> GNATS.
>>>
>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>> To: Davide Italiano <davide@freebsd.org>
>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>  bug-followup@freebsd.org, mav@freebsd.org
>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with error:
>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>
>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>  Content-Transfer-Encoding: quoted-printable
>>>
>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.d=
>>>  e> wrote:
>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:=
>>>  17:
>>>  >>>> error: unknown type name 'sbintime_t'
>>>  >>>>
>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>  >>>> Responsible-Changed-By: edwin
>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>  >>>> Responsible-Changed-Why:
>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>  >>>>
>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>  >>>>
>>>  >>>
>>>  >>> Either your system's headers are not as they should be, or this is
>>>  >>> some fallout from:
>>>  >>>
>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>  >>>
>>>  >>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>>  >>> source code.  But let's wait for a day or two, until the calloutng
>>>  >>> branch is fully merged, and then revisit this problem.  If you must
>>>  >>> build sbcl in the meantime, you can patch the sources or add some
>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>  >>>
>>>  >>> b.
>>>  >>>
>>>  >>
>>>  >>
>>>  >> All right. I wait then.
>>>  >>
>>>  >> Regards,
>>>  >> Oliver
>>>  >>
>>>  >=20
>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>  > /usr/include/sys/time.h the same?
>>>  > Can you please make a diff?
>>>  >=20
>>>  >=20
>>>
>>>  Sources:
>>>  Repository Root: svn://svn.freebsd.org/base
>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>  Revision: 247729
>>>
>>>
>>>  Just made this moment a buildworld installworld kernel (not that order,
>>>  but I build a regular new world, kernel and installed them - they did
>>>  properly install). But I didn't reboot yet.
>>>
>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
>>>  :/usr/ports #
>>>
>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
>>>  :/usr/src #
>>>
>>>  It seems, there is no difference.
>>>
>>>  After I did "make installkernel installworld" I expect the right files
>>>  in place. I then, without reboot, did another "portmaster -da -xvision"
>>>  (avoiding non-building xvisionworkbench). But I got the same error again.=
>>>
>>>
>>>  System is CLANG built.
>>>
>>
>> You might show us the full output generated by the compiler
>> command-line used to compile coreparse.c during the port build, with
>> "-E -H" added to the flags.
>
> Please try the following patch:
> http://people.freebsd.org/~davide/review/sbintime_ports.diff
> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
> and report if the bug is still there.
>
>
> Thanks,
>
> --
> Davide
>
> "There are no solved problems; there are only problems that are more
> or less solved" -- Henri Poincare

I'm not able to reproduce your problem.
I've got stock FreeBSD,  did
buildworld/buildkernel/installworld/installkernel (even without my
patch) and the port you mention build fine.
bf, can you please try and confirm?

-- 
Davide

"There are no solved problems; there are only problems that are more
or less solved" -- Henri Poincare
Comment 10 O. Hartmann 2013-03-04 07:29:00 UTC
Am 03/03/13 22:29, schrieb Davide Italiano:
> On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org> wrote:
>> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>>> The following reply was made to PR ports/176621; it has been noted by
>>>> GNATS.
>>>>
>>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>>> To: Davide Italiano <davide@freebsd.org>
>>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>>  bug-followup@freebsd.org, mav@freebsd.org
>>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with error:
>>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>>
>>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>>  Content-Transfer-Encoding: quoted-printable
>>>>
>>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.d=
>>>>  e> wrote:
>>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:=
>>>>  17:
>>>>  >>>> error: unknown type name 'sbintime_t'
>>>>  >>>>
>>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>>  >>>> Responsible-Changed-By: edwin
>>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>>  >>>> Responsible-Changed-Why:
>>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>  >>>>
>>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>>  >>>>
>>>>  >>>
>>>>  >>> Either your system's headers are not as they should be, or this is
>>>>  >>> some fallout from:
>>>>  >>>
>>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>>  >>>
>>>>  >>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>>>  >>> source code.  But let's wait for a day or two, until the calloutng
>>>>  >>> branch is fully merged, and then revisit this problem.  If you must
>>>>  >>> build sbcl in the meantime, you can patch the sources or add some
>>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>>  >>>
>>>>  >>> b.
>>>>  >>>
>>>>  >>
>>>>  >>
>>>>  >> All right. I wait then.
>>>>  >>
>>>>  >> Regards,
>>>>  >> Oliver
>>>>  >>
>>>>  >=20
>>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>>  > /usr/include/sys/time.h the same?
>>>>  > Can you please make a diff?
>>>>  >=20
>>>>  >=20
>>>>
>>>>  Sources:
>>>>  Repository Root: svn://svn.freebsd.org/base
>>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>>  Revision: 247729
>>>>
>>>>
>>>>  Just made this moment a buildworld installworld kernel (not that order,
>>>>  but I build a regular new world, kernel and installed them - they did
>>>>  properly install). But I didn't reboot yet.
>>>>
>>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
>>>>  :/usr/ports #
>>>>
>>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
>>>>  :/usr/src #
>>>>
>>>>  It seems, there is no difference.
>>>>
>>>>  After I did "make installkernel installworld" I expect the right files
>>>>  in place. I then, without reboot, did another "portmaster -da -xvision"
>>>>  (avoiding non-building xvisionworkbench). But I got the same error again.=
>>>>
>>>>
>>>>  System is CLANG built.
>>>>
>>>
>>> You might show us the full output generated by the compiler
>>> command-line used to compile coreparse.c during the port build, with
>>> "-E -H" added to the flags.
>>
>> Please try the following patch:
>> http://people.freebsd.org/~davide/review/sbintime_ports.diff
>> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
>> and report if the bug is still there.
>>
>>
>> Thanks,
>>
>> --
>> Davide
>>
>> "There are no solved problems; there are only problems that are more
>> or less solved" -- Henri Poincare
> 
> I'm not able to reproduce your problem.
> I've got stock FreeBSD,  did
> buildworld/buildkernel/installworld/installkernel (even without my
> patch) and the port you mention build fine.
> bf, can you please try and confirm?
> 



What is "stock" ? Can you provide revision number, please? Is it a jail
or is it a "real" running system?

At this very moment, I applied your patch and the system gets build
again (it takes 90 minutes). Then I will report in whether I had success
or not.

Regards,

Oliver
Comment 11 Davide Italiano freebsd_committer 2013-03-04 09:58:32 UTC
On Mon, Mar 4, 2013 at 8:29 AM, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
> Am 03/03/13 22:29, schrieb Davide Italiano:
>> On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org> wrote:
>>> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>>>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>>>> The following reply was made to PR ports/176621; it has been noted by
>>>>> GNATS.
>>>>>
>>>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>>>> To: Davide Italiano <davide@freebsd.org>
>>>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>>>  bug-followup@freebsd.org, mav@freebsd.org
>>>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with error:
>>>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>>>
>>>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>>>  Content-Transfer-Encoding: quoted-printable
>>>>>
>>>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann <ohartman@zedat.fu-berlin.d=
>>>>>  e> wrote:
>>>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error: time.h:119:=
>>>>>  17:
>>>>>  >>>> error: unknown type name 'sbintime_t'
>>>>>  >>>>
>>>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>>>  >>>> Responsible-Changed-By: edwin
>>>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>>>  >>>> Responsible-Changed-Why:
>>>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>>  >>>>
>>>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>>>  >>>>
>>>>>  >>>
>>>>>  >>> Either your system's headers are not as they should be, or this is
>>>>>  >>> some fallout from:
>>>>>  >>>
>>>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>>>  >>>
>>>>>  >>> and can probably be fixed by adjusting the inclusions in the sbcl's
>>>>>  >>> source code.  But let's wait for a day or two, until the calloutng
>>>>>  >>> branch is fully merged, and then revisit this problem.  If you must
>>>>>  >>> build sbcl in the meantime, you can patch the sources or add some
>>>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>>>  >>>
>>>>>  >>> b.
>>>>>  >>>
>>>>>  >>
>>>>>  >>
>>>>>  >> All right. I wait then.
>>>>>  >>
>>>>>  >> Regards,
>>>>>  >> Oliver
>>>>>  >>
>>>>>  >=20
>>>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>>>  > /usr/include/sys/time.h the same?
>>>>>  > Can you please make a diff?
>>>>>  >=20
>>>>>  >=20
>>>>>
>>>>>  Sources:
>>>>>  Repository Root: svn://svn.freebsd.org/base
>>>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>>>  Revision: 247729
>>>>>
>>>>>
>>>>>  Just made this moment a buildworld installworld kernel (not that order,
>>>>>  but I build a regular new world, kernel and installed them - they did
>>>>>  properly install). But I didn't reboot yet.
>>>>>
>>>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h /usr/include/sys/time.h
>>>>>  :/usr/ports #
>>>>>
>>>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h  /usr/include/sys/types.h
>>>>>  :/usr/src #
>>>>>
>>>>>  It seems, there is no difference.
>>>>>
>>>>>  After I did "make installkernel installworld" I expect the right files
>>>>>  in place. I then, without reboot, did another "portmaster -da -xvision"
>>>>>  (avoiding non-building xvisionworkbench). But I got the same error again.=
>>>>>
>>>>>
>>>>>  System is CLANG built.
>>>>>
>>>>
>>>> You might show us the full output generated by the compiler
>>>> command-line used to compile coreparse.c during the port build, with
>>>> "-E -H" added to the flags.
>>>
>>> Please try the following patch:
>>> http://people.freebsd.org/~davide/review/sbintime_ports.diff
>>> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
>>> and report if the bug is still there.
>>>
>>>
>>> Thanks,
>>>
>>> --
>>> Davide
>>>
>>> "There are no solved problems; there are only problems that are more
>>> or less solved" -- Henri Poincare
>>
>> I'm not able to reproduce your problem.
>> I've got stock FreeBSD,  did
>> buildworld/buildkernel/installworld/installkernel (even without my
>> patch) and the port you mention build fine.
>> bf, can you please try and confirm?
>>
>
>
> What is "stock" ? Can you provide revision number, please? Is it a jail
> or is it a "real" running system?
>

I'm at r247719. with "stock" I mean FreeBSD taken from SVN
repositories without any modification.
I gathered reports from other people working on HEAD+ports. You should
be able to build ports on FreeBSD even without the patch I posted in
my previous mail. If you can't, it may be just a problem of your
environment.
Also, it's not recommended running inconsistent kernel/world.
The right updating procedure is described in the handbook and it's not
the one you followed (considering you're running an old kernel with a
new world). Please follow that before reporting problems.

> At this very moment, I applied your patch and the system gets build
> again (it takes 90 minutes). Then I will report in whether I had success
> or not.
>
> Regards,
>
> Oliver
>



-- 
Davide

"There are no solved problems; there are only problems that are more
or less solved" -- Henri Poincare
Comment 12 b. f. 2013-03-04 15:59:01 UTC
On 3/4/13, Davide Italiano <davide@freebsd.org> wrote:
> On Mon, Mar 4, 2013 at 8:29 AM, O. Hartmann <ohartman@zedat.fu-berlin.de>
> wrote:
>> Am 03/03/13 22:29, schrieb Davide Italiano:
>>> On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org>
>>> wrote:
>>>> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>>>>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>>>>> The following reply was made to PR ports/176621; it has been noted by
>>>>>> GNATS.
>>>>>>
>>>>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>>>>> To: Davide Italiano <davide@freebsd.org>
>>>>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>>>>  bug-followup@freebsd.org, mav@freebsd.org
>>>>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with
>>>>>> error:
>>>>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>>>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>>>>
>>>>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>>>>  Content-Transfer-Encoding: quoted-printable
>>>>>>
>>>>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann
>>>>>> <ohartman@zedat.fu-berlin.d=
>>>>>>  e> wrote:
>>>>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error:
>>>>>> time.h:119:=
>>>>>>  17:
>>>>>>  >>>> error: unknown type name 'sbintime_t'
>>>>>>  >>>>
>>>>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>>>>  >>>> Responsible-Changed-By: edwin
>>>>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>>>>  >>>> Responsible-Changed-Why:
>>>>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>>>  >>>>
>>>>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>>>>  >>>>
>>>>>>  >>>
>>>>>>  >>> Either your system's headers are not as they should be, or this
>>>>>> is
>>>>>>  >>> some fallout from:
>>>>>>  >>>
>>>>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>>>>  >>>
>>>>>>  >>> and can probably be fixed by adjusting the inclusions in the
>>>>>> sbcl's
>>>>>>  >>> source code.  But let's wait for a day or two, until the
>>>>>> calloutng
>>>>>>  >>> branch is fully merged, and then revisit this problem.  If you
>>>>>> must
>>>>>>  >>> build sbcl in the meantime, you can patch the sources or add
>>>>>> some
>>>>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>>>>  >>>
>>>>>>  >>> b.
>>>>>>  >>>
>>>>>>  >>
>>>>>>  >>
>>>>>>  >> All right. I wait then.
>>>>>>  >>
>>>>>>  >> Regards,
>>>>>>  >> Oliver
>>>>>>  >>
>>>>>>  >=20
>>>>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>>>>  > /usr/include/sys/time.h the same?
>>>>>>  > Can you please make a diff?
>>>>>>  >=20
>>>>>>  >=20
>>>>>>
>>>>>>  Sources:
>>>>>>  Repository Root: svn://svn.freebsd.org/base
>>>>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>>>>  Revision: 247729
>>>>>>
>>>>>>
>>>>>>  Just made this moment a buildworld installworld kernel (not that
>>>>>> order,
>>>>>>  but I build a regular new world, kernel and installed them - they
>>>>>> did
>>>>>>  properly install). But I didn't reboot yet.
>>>>>>
>>>>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h
>>>>>> /usr/include/sys/time.h
>>>>>>  :/usr/ports #
>>>>>>
>>>>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h
>>>>>> /usr/include/sys/types.h
>>>>>>  :/usr/src #
>>>>>>
>>>>>>  It seems, there is no difference.
>>>>>>
>>>>>>  After I did "make installkernel installworld" I expect the right
>>>>>> files
>>>>>>  in place. I then, without reboot, did another "portmaster -da
>>>>>> -xvision"
>>>>>>  (avoiding non-building xvisionworkbench). But I got the same error
>>>>>> again.=
>>>>>>
>>>>>>
>>>>>>  System is CLANG built.
>>>>>>
>>>>>
>>>>> You might show us the full output generated by the compiler
>>>>> command-line used to compile coreparse.c during the port build, with
>>>>> "-E -H" added to the flags.
>>>>
>>>> Please try the following patch:
>>>> http://people.freebsd.org/~davide/review/sbintime_ports.diff
>>>> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
>>>> and report if the bug is still there.
>>>>
>>>>
>>>> Thanks,
>>>>
>>>> --
>>>> Davide
>>>>
>>>> "There are no solved problems; there are only problems that are more
>>>> or less solved" -- Henri Poincare
>>>
>>> I'm not able to reproduce your problem.
>>> I've got stock FreeBSD,  did
>>> buildworld/buildkernel/installworld/installkernel (even without my
>>> patch) and the port you mention build fine.
>>> bf, can you please try and confirm?
>>>
>>
>>
>> What is "stock" ? Can you provide revision number, please? Is it a jail
>> or is it a "real" running system?
>>
>
> I'm at r247719. with "stock" I mean FreeBSD taken from SVN
> repositories without any modification.
> I gathered reports from other people working on HEAD+ports. You should
> be able to build ports on FreeBSD even without the patch I posted in
> my previous mail. If you can't, it may be just a problem of your
> environment.
> Also, it's not recommended running inconsistent kernel/world.
> The right updating procedure is described in the handbook and it's not
> the one you followed (considering you're running an old kernel with a
> new world). Please follow that before reporting problems.
>
>> At this very moment, I applied your patch and the system gets build
>> again (it takes 90 minutes). Then I will report in whether I had success
>> or not.
>>

I checked this at r247774, prior to the latest calloutng merges.
There were no problems compiling the lang/sbcl port with either the
base system clang or the base system gcc, on a system with
kernel+world built with the base system clang.

Oliver, while you were careful to say that your _system_ was built
with clang, I didn't notice any mention of what compiler you were
using to build the sbcl port, and the portion of the build log that
you included didn't show the compiler command line, but the error
output looked like it was generated by a version of gcc, and not clang
-- are you using one of the lang/gcc* ports, as you have done in the
past?  If so, you could encounter problems if the lang/gcc* port is
stale -- that is, if it were built before the changes to the base
system headers.  That is because during the build of the lang/gcc*
ports, they edit and cache certain system headers, and then use those
instead of the actual system headers.  So, for example, if you were
using a stale lang/gcc46, it might use a stale

/usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd10.0/4.6.4/include-fixed/sys/types.h

, without the definition of sbintime_t, instead of the new
/usr/include/sys/types.h.  To fix this problem, you would have to
update your lang/gcc* port, or use another compiler that doesn't
suffer from this problem.

b.
Comment 13 O. Hartmann 2013-03-04 19:02:04 UTC
Am 03/04/13 16:59, schrieb b.f.:
> On 3/4/13, Davide Italiano <davide@freebsd.org> wrote:
>> On Mon, Mar 4, 2013 at 8:29 AM, O. Hartmann <ohartman@zedat.fu-berlin.de>
>> wrote:
>>> Am 03/03/13 22:29, schrieb Davide Italiano:
>>>> On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org>
>>>> wrote:
>>>>> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>>>>>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>>>>>> The following reply was made to PR ports/176621; it has been noted by
>>>>>>> GNATS.
>>>>>>>
>>>>>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>>>>>> To: Davide Italiano <davide@freebsd.org>
>>>>>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>>>>>  bug-followup@freebsd.org, mav@freebsd.org
>>>>>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with
>>>>>>> error:
>>>>>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>>>>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>>>>>
>>>>>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>>>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>>>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>>>>>  Content-Transfer-Encoding: quoted-printable
>>>>>>>
>>>>>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>>>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann
>>>>>>> <ohartman@zedat.fu-berlin.d=
>>>>>>>  e> wrote:
>>>>>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>>>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>>>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error:
>>>>>>> time.h:119:=
>>>>>>>  17:
>>>>>>>  >>>> error: unknown type name 'sbintime_t'
>>>>>>>  >>>>
>>>>>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>>>>>  >>>> Responsible-Changed-By: edwin
>>>>>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>>>>>  >>>> Responsible-Changed-Why:
>>>>>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>>>>  >>>>
>>>>>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>>>>>  >>>>
>>>>>>>  >>>
>>>>>>>  >>> Either your system's headers are not as they should be, or this
>>>>>>> is
>>>>>>>  >>> some fallout from:
>>>>>>>  >>>
>>>>>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>>>>>  >>>
>>>>>>>  >>> and can probably be fixed by adjusting the inclusions in the
>>>>>>> sbcl's
>>>>>>>  >>> source code.  But let's wait for a day or two, until the
>>>>>>> calloutng
>>>>>>>  >>> branch is fully merged, and then revisit this problem.  If you
>>>>>>> must
>>>>>>>  >>> build sbcl in the meantime, you can patch the sources or add
>>>>>>> some
>>>>>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>>>>>  >>>
>>>>>>>  >>> b.
>>>>>>>  >>>
>>>>>>>  >>
>>>>>>>  >>
>>>>>>>  >> All right. I wait then.
>>>>>>>  >>
>>>>>>>  >> Regards,
>>>>>>>  >> Oliver
>>>>>>>  >>
>>>>>>>  >=20
>>>>>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>>>>>  > /usr/include/sys/time.h the same?
>>>>>>>  > Can you please make a diff?
>>>>>>>  >=20
>>>>>>>  >=20
>>>>>>>
>>>>>>>  Sources:
>>>>>>>  Repository Root: svn://svn.freebsd.org/base
>>>>>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>>>>>  Revision: 247729
>>>>>>>
>>>>>>>
>>>>>>>  Just made this moment a buildworld installworld kernel (not that
>>>>>>> order,
>>>>>>>  but I build a regular new world, kernel and installed them - they
>>>>>>> did
>>>>>>>  properly install). But I didn't reboot yet.
>>>>>>>
>>>>>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h
>>>>>>> /usr/include/sys/time.h
>>>>>>>  :/usr/ports #
>>>>>>>
>>>>>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h
>>>>>>> /usr/include/sys/types.h
>>>>>>>  :/usr/src #
>>>>>>>
>>>>>>>  It seems, there is no difference.
>>>>>>>
>>>>>>>  After I did "make installkernel installworld" I expect the right
>>>>>>> files
>>>>>>>  in place. I then, without reboot, did another "portmaster -da
>>>>>>> -xvision"
>>>>>>>  (avoiding non-building xvisionworkbench). But I got the same error
>>>>>>> again.=
>>>>>>>
>>>>>>>
>>>>>>>  System is CLANG built.
>>>>>>>
>>>>>>
>>>>>> You might show us the full output generated by the compiler
>>>>>> command-line used to compile coreparse.c during the port build, with
>>>>>> "-E -H" added to the flags.
>>>>>
>>>>> Please try the following patch:
>>>>> http://people.freebsd.org/~davide/review/sbintime_ports.diff
>>>>> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
>>>>> and report if the bug is still there.
>>>>>
>>>>>
>>>>> Thanks,
>>>>>
>>>>> --
>>>>> Davide
>>>>>
>>>>> "There are no solved problems; there are only problems that are more
>>>>> or less solved" -- Henri Poincare
>>>>
>>>> I'm not able to reproduce your problem.
>>>> I've got stock FreeBSD,  did
>>>> buildworld/buildkernel/installworld/installkernel (even without my
>>>> patch) and the port you mention build fine.
>>>> bf, can you please try and confirm?
>>>>
>>>
>>>
>>> What is "stock" ? Can you provide revision number, please? Is it a jail
>>> or is it a "real" running system?
>>>
>>
>> I'm at r247719. with "stock" I mean FreeBSD taken from SVN
>> repositories without any modification.
>> I gathered reports from other people working on HEAD+ports. You should
>> be able to build ports on FreeBSD even without the patch I posted in
>> my previous mail. If you can't, it may be just a problem of your
>> environment.
>> Also, it's not recommended running inconsistent kernel/world.
>> The right updating procedure is described in the handbook and it's not
>> the one you followed (considering you're running an old kernel with a
>> new world). Please follow that before reporting problems.
>>
>>> At this very moment, I applied your patch and the system gets build
>>> again (it takes 90 minutes). Then I will report in whether I had success
>>> or not.
>>>
> 
> I checked this at r247774, prior to the latest calloutng merges.
> There were no problems compiling the lang/sbcl port with either the
> base system clang or the base system gcc, on a system with
> kernel+world built with the base system clang.


Before I went to the lab this noon, port lang/sbcl compiled well with
the patches provided by Davide Italiano on that specific machine.

> 
> Oliver, while you were careful to say that your _system_ was built
> with clang, I didn't notice any mention of what compiler you were
> using to build the sbcl port, and the portion of the build log that
> you included didn't show the compiler command line, but the error
> output looked like it was generated by a version of gcc, and not clang
> -- are you using one of the lang/gcc* ports, as you have done in the
> past?  If so, you could encounter problems if the lang/gcc* port is
> stale -- that is, if it were built before the changes to the base
> system headers.  That is because during the build of the lang/gcc*
> ports, they edit and cache certain system headers, and then use those
> instead of the actual system headers.  So, for example, if you were
> using a stale lang/gcc46, it might use a stale


I forgot to say due to problems in the past, I use on all FreeBSD
10.0-CURRENT boxes for some ports I need in the lab lang/gcc (not
lang/gcc46). lang/sbcl has had problems with clang in the past, so I use
a tag "USE_GCC=4.6+" (I use /usr/local/etc/ports.conf and include this
into /etc/make.conf). I use also ports math/maxima and math/fricas,
which rely on lang/sbcl. I can't remember who had issues, but there were
issues with clang (but that happened 10 or 11/2012).

Port lang/gcc is, as far as I know, up-to-date:
ohartmann@thor: [diss_text] pkg info gcc
gcc-4.6.3                      GNU Compiler Collection 4.6

I update ports on a regular basis - it might have been rendered
"outdated" due to changes in FBSD 10.0-CURRENT in the meanwhile.


> 
> /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd10.0/4.6.4/include-fixed/sys/types.h
> 
> , without the definition of sbintime_t, instead of the new
> /usr/include/sys/types.h.  To fix this problem, you would have to
> update your lang/gcc* port, or use another compiler that doesn't
> suffer from this problem.
> 
> b.
> 



At this very moment, I rebuild the whole system (buildworl) on all
machines with the most recent updates from the sources and on the
machine in question I try to rebuild lang/sbcl, math/maxima and
math/fricas with CLANG.
....


oh
Comment 14 O. Hartmann 2013-03-04 19:08:39 UTC
Am 03/04/13 16:59, schrieb b.f.:
> On 3/4/13, Davide Italiano <davide@freebsd.org> wrote:
>> On Mon, Mar 4, 2013 at 8:29 AM, O. Hartmann <ohartman@zedat.fu-berlin.de>
>> wrote:
>>> Am 03/03/13 22:29, schrieb Davide Italiano:
>>>> On Sun, Mar 3, 2013 at 9:10 PM, Davide Italiano <davide@freebsd.org>
>>>> wrote:
>>>>> On Sun, Mar 3, 2013 at 9:08 PM, b.f. <bf1783@googlemail.com> wrote:
>>>>>> On 3/3/13, O. Hartmann <ohartman@zedat.fu-berlin.de> wrote:
>>>>>>> The following reply was made to PR ports/176621; it has been noted by
>>>>>>> GNATS.
>>>>>>>
>>>>>>> From: "O. Hartmann" <ohartman@zedat.fu-berlin.de>
>>>>>>> To: Davide Italiano <davide@freebsd.org>
>>>>>>> Cc: bf1783@gmail.com, "b.f." <bf1783@googlemail.com>,
>>>>>>>  bug-followup@freebsd.org, mav@freebsd.org
>>>>>>> Subject: Re: ports/176621: lang/sbcl: Fails to build / update with
>>>>>>> error:
>>>>>>>  time.h:119:17: error: unknown type name 'sbintime_t'
>>>>>>> Date: Sun, 03 Mar 2013 20:52:40 +0100
>>>>>>>
>>>>>>>  This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
>>>>>>>  ------enig2XIWOORIDIJCFFCBOLHPK
>>>>>>>  Content-Type: text/plain; charset=ISO-8859-1
>>>>>>>  Content-Transfer-Encoding: quoted-printable
>>>>>>>
>>>>>>>  Am 03/03/13 20:34, schrieb Davide Italiano:
>>>>>>>  > On Sun, Mar 3, 2013 at 8:24 PM, O. Hartmann
>>>>>>> <ohartman@zedat.fu-berlin.d=
>>>>>>>  e> wrote:
>>>>>>>  >> Am 03/03/13 20:16, schrieb b.f.:
>>>>>>>  >>> On 3/3/13, edwin@freebsd.org <edwin@freebsd.org> wrote:
>>>>>>>  >>>> Synopsis: lang/sbcl: Fails to build / update with error:
>>>>>>> time.h:119:=
>>>>>>>  17:
>>>>>>>  >>>> error: unknown type name 'sbintime_t'
>>>>>>>  >>>>
>>>>>>>  >>>> Responsible-Changed-From-To: freebsd-ports-bugs->bf
>>>>>>>  >>>> Responsible-Changed-By: edwin
>>>>>>>  >>>> Responsible-Changed-When: Sun Mar 3 18:20:10 UTC 2013
>>>>>>>  >>>> Responsible-Changed-Why:
>>>>>>>  >>>> Over to maintainer (via the GNATS Auto Assign Tool)
>>>>>>>  >>>>
>>>>>>>  >>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D176621
>>>>>>>  >>>>
>>>>>>>  >>>
>>>>>>>  >>> Either your system's headers are not as they should be, or this
>>>>>>> is
>>>>>>>  >>> some fallout from:
>>>>>>>  >>>
>>>>>>>  >>> http://svnweb.freebsd.org/changeset/base/247476
>>>>>>>  >>>
>>>>>>>  >>> and can probably be fixed by adjusting the inclusions in the
>>>>>>> sbcl's
>>>>>>>  >>> source code.  But let's wait for a day or two, until the
>>>>>>> calloutng
>>>>>>>  >>> branch is fully merged, and then revisit this problem.  If you
>>>>>>> must
>>>>>>>  >>> build sbcl in the meantime, you can patch the sources or add
>>>>>>> some
>>>>>>>  >>> compiler flags to define sbintime_t as __int64_t.
>>>>>>>  >>>
>>>>>>>  >>> b.
>>>>>>>  >>>
>>>>>>>  >>
>>>>>>>  >>
>>>>>>>  >> All right. I wait then.
>>>>>>>  >>
>>>>>>>  >> Regards,
>>>>>>>  >> Oliver
>>>>>>>  >>
>>>>>>>  >=20
>>>>>>>  > Just out of curiosity, are your $SOURCEDIR/sys/sys/time.h and
>>>>>>>  > /usr/include/sys/time.h the same?
>>>>>>>  > Can you please make a diff?
>>>>>>>  >=20
>>>>>>>  >=20
>>>>>>>
>>>>>>>  Sources:
>>>>>>>  Repository Root: svn://svn.freebsd.org/base
>>>>>>>  Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
>>>>>>>  Revision: 247729
>>>>>>>
>>>>>>>
>>>>>>>  Just made this moment a buildworld installworld kernel (not that
>>>>>>> order,
>>>>>>>  but I build a regular new world, kernel and installed them - they
>>>>>>> did
>>>>>>>  properly install). But I didn't reboot yet.
>>>>>>>
>>>>>>>  :/usr/ports # diff -Nur /usr/src/sys/sys/time.h
>>>>>>> /usr/include/sys/time.h
>>>>>>>  :/usr/ports #
>>>>>>>
>>>>>>>  :/usr/src # diff -Nur /usr/src/sys/sys/types.h
>>>>>>> /usr/include/sys/types.h
>>>>>>>  :/usr/src #
>>>>>>>
>>>>>>>  It seems, there is no difference.
>>>>>>>
>>>>>>>  After I did "make installkernel installworld" I expect the right
>>>>>>> files
>>>>>>>  in place. I then, without reboot, did another "portmaster -da
>>>>>>> -xvision"
>>>>>>>  (avoiding non-building xvisionworkbench). But I got the same error
>>>>>>> again.=
>>>>>>>
>>>>>>>
>>>>>>>  System is CLANG built.
>>>>>>>
>>>>>>
>>>>>> You might show us the full output generated by the compiler
>>>>>> command-line used to compile coreparse.c during the port build, with
>>>>>> "-E -H" added to the flags.
>>>>>
>>>>> Please try the following patch:
>>>>> http://people.freebsd.org/~davide/review/sbintime_ports.diff
>>>>> Do the whole cycle buildworld/buildkerne/installworld/installkernel ,
>>>>> and report if the bug is still there.
>>>>>
>>>>>
>>>>> Thanks,
>>>>>
>>>>> --
>>>>> Davide
>>>>>
>>>>> "There are no solved problems; there are only problems that are more
>>>>> or less solved" -- Henri Poincare
>>>>
>>>> I'm not able to reproduce your problem.
>>>> I've got stock FreeBSD,  did
>>>> buildworld/buildkernel/installworld/installkernel (even without my
>>>> patch) and the port you mention build fine.
>>>> bf, can you please try and confirm?
>>>>
>>>
>>>
>>> What is "stock" ? Can you provide revision number, please? Is it a jail
>>> or is it a "real" running system?
>>>
>>
>> I'm at r247719. with "stock" I mean FreeBSD taken from SVN
>> repositories without any modification.
>> I gathered reports from other people working on HEAD+ports. You should
>> be able to build ports on FreeBSD even without the patch I posted in
>> my previous mail. If you can't, it may be just a problem of your
>> environment.
>> Also, it's not recommended running inconsistent kernel/world.
>> The right updating procedure is described in the handbook and it's not
>> the one you followed (considering you're running an old kernel with a
>> new world). Please follow that before reporting problems.
>>
>>> At this very moment, I applied your patch and the system gets build
>>> again (it takes 90 minutes). Then I will report in whether I had success
>>> or not.
>>>
> 
> I checked this at r247774, prior to the latest calloutng merges.
> There were no problems compiling the lang/sbcl port with either the
> base system clang or the base system gcc, on a system with
> kernel+world built with the base system clang.
> 
> Oliver, while you were careful to say that your _system_ was built
> with clang, I didn't notice any mention of what compiler you were
> using to build the sbcl port, and the portion of the build log that
> you included didn't show the compiler command line, but the error
> output looked like it was generated by a version of gcc, and not clang
> -- are you using one of the lang/gcc* ports, as you have done in the
> past?  If so, you could encounter problems if the lang/gcc* port is
> stale -- that is, if it were built before the changes to the base
> system headers.  That is because during the build of the lang/gcc*
> ports, they edit and cache certain system headers, and then use those
> instead of the actual system headers.  So, for example, if you were
> using a stale lang/gcc46, it might use a stale
> 
> /usr/local/lib/gcc46/gcc/x86_64-portbld-freebsd10.0/4.6.4/include-fixed/sys/types.h
> 
> , without the definition of sbintime_t, instead of the new
> /usr/include/sys/types.h.  To fix this problem, you would have to
> update your lang/gcc* port, or use another compiler that doesn't
> suffer from this problem.
> 
> b.
> 



math/fricas and math/maxima compile very well!

I think it was my fault having the GCC remnant in the config. I didn't
realize that the port lang/sbcl is now "CLANG" clean.

I guess, the PR can be closed.

Regards,

Oliver
Comment 15 Brendan Fabeny freebsd_committer 2013-03-04 19:22:53 UTC
State Changed
From-To: open->closed

The problem arose from the use of stale dependencies.